Bug 1180058 (plasma-nm)

Summary: Review Request: plasma-nm - Plasma applet for managing network connections
Product: [Fedora] Fedora Reporter: Jan Grulich <jgrulich>
Component: Package ReviewAssignee: Nobody's working on this, feel free to take it <nobody>
Status: CLOSED RAWHIDE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact: Rex Dieter <rdieter>
Priority: medium    
Version: rawhideCC: dvratil, jgrulich, kevin, package-review, rdieter
Target Milestone: ---Flags: rdieter: fedora-review+
gwync: fedora-cvs+
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2015-01-20 13:44:05 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On:    
Bug Blocks: 1135103    

Description Jan Grulich 2015-01-08 09:17:38 UTC
Spec URL: https://jgrulich.fedorapeople.org/plasma5/plasma-nm.spec
SRPM URL: https://jgrulich.fedorapeople.org/plasma5/plasma-nm-5.1.2-2.fc21.src.rpm
Description: Plasma applet for managing network connections
Fedora Account System Username: jgrulich

Comment 1 Rex Dieter 2015-01-12 13:21:44 UTC
A rename review of existing kde-plasma-nm package, so should be pretty straight-forward.

sources: ok
85bcbb4dc40ff020a566413a209858ca  plasma-nm-5.1.2.tar.xz


Upgrade path: ok
Obsoletes: kde-plasma-networkmanagement < 1:0.9.1.0
Obsoletes: kde-plasma-networkmanagement-libs < 1:0.9.1.0
Obsoletes: kde-plasma-nm < 5.0.0-1

1.  SHOULD consider adding Provides: at least for kde-plasma-nm, e.g.
Provides = kde-plasma-nm = %{version}-%{release}

2.  SHOULD re-add this snippet in -mobile pkg from kde-plasma-nm:
%if 0%{?fedora} > 20
Requires:  NetworkManager-wwan >= 0.9.8
%endif


Otherwise, looks good, APPROVED

Comment 2 Daniel Vrátil 2015-01-16 11:21:28 UTC
Jan, ping?

Comment 3 Jan Grulich 2015-01-16 12:20:09 UTC
New Package SCM Request
=======================
Package Name: plasma-nm
Short Description: Plasma applet for managing network connections
Upstream URL: https://projects.kde.org/projects/kde/workspace/plasma-nm
Owners: group::kde-sig
Branches: f20 f21
InitialCC:

Comment 4 Gwyn Ciesla 2015-01-16 13:15:54 UTC
Git done (by process-git-requests).